/**
 * Copyright (C) 2011 Agrosense <info@cloudfarming.nl>
 *
 * Licensed under the Eclipse Public License - v 1.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.eclipse.org/legal/epl-v10.html
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package nl.cloudfarming.client.sensor;

import java.beans.PropertyChangeEvent;
import java.beans.PropertyChangeListener;
import nl.cloudfarming.client.geoviewer.BaseLayer;
import nl.cloudfarming.client.geoviewer.Category;

/**
 * Layer for sensor files
 * @author Timon Veenstra
 */
public class SensorFileLayer extends BaseLayer {

    public SensorFileLayer(SensorDataObject sensorFile) {
        super(sensorFile.getPalette(), Category.SENSOR, sensorFile.getPrimaryFile().getName());
        
        sensorFile.addPropertyChangeListener(new PropertyChangeListener() {

            @Override
            public void propertyChange(PropertyChangeEvent evt) {
                if(SensorDataObject.PROP_PALETTE_CHANGED.equals(evt.getPropertyName())){
                    SensorFileLayer.this.setPalette((SensorPalette)evt.getNewValue());
                }
            }
        });
    }
    
    
}
